# Generated by Django 2.2.7 on 2020-02-09 17:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('WSD_Game_Store', '0004_auto_20200209_1713'), ('WSD_Game_Store', '0005_auto_20200209_1717'), ('WSD_Game_Store', '0006_auto_20200209_1717')]

    dependencies = [
        ('WSD_Game_Store', '0003_game_price'),
    ]

    operations = [
        migrations.AlterField(
            model_name='boughtgame',
            name='high_score',
            field=models.IntegerField(null=True),
        ),
        migrations.AlterField(
            model_name='boughtgame',
            name='buyer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='boughtgame',
            name='game',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='WSD_Game_Store.Game'),
        ),
        migrations.AlterField(
            model_name='boughtgame',
            name='game',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='WSD_Game_Store.Game'),
        ),
    ]
